<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Name: Radius Multicolour
| Filename: theme.php
| Author: Craig Dewar
| Version: v1.00
| Site: http://www.fangree.co.uk
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }
require_once INCLUDES."theme_functions_include.php";

require_once THEMES."templates/switcher.php";
define("THEME_WIDTH", "90%");
define("THEME_BULLET", "<span class='bullet'><img src='".THEME."images/bullet.gif' border='0' alt=''/></span>");
$enable_colour_switcher = true; //true=enable colour switcher | false=disable colour switcher
// Colour Switcher // Default Colour black 
$colour_switcher = new Switcher("select", "colour", "gif", "blue", "switcherbutton");
if(!$enable_colour_switcher){
$colour_switcher->disable();
}

//redirect_img_dir(THEME."forum", THEME."forum/".$colour_switcher->selected);
set_image("pollbar", THEME."images/pollbar.gif");

	function get_head_tags(){
	global $colour_switcher;
	echo $colour_switcher->makeHeadTag();
	}

	function render_page($license=false) {

	global $settings, $locale, $userdata, $aidlink, $main_style, $colour_switcher, $mysql_queries_time;

			//Header
			echo "<div class='center $main_style' style='background-color:#EDF0F4;width:".THEME_WIDTH.";'>\n";
			echo "<div class='floatfix'>\n";
			echo "<div class='full-header floatfix'>\n".showbanners()."";
			echo"<div class='login-header'>";
	        require_once THEME."includes/login.php";			
            echo"</div>\n";
			
			//Subheader
			echo "<div class='sub-header floatfix' align='center'>\n";
			echo "<div class='sublinks'>".showsublinks("<span class='bullet'>&middot;</span> ","white")."</div>\n";
			echo "<div class='switcher-pos'> ".$colour_switcher->makeForm()."</div>\n";
			echo "</div>\n";

//Content
if (LEFT) { echo "<div id='side-border-left'>".LEFT."</div>\n"; }
if (RIGHT) { echo "<div id='side-border-right'>".RIGHT."</div>\n"; }
             echo "<div id='main-bg' class='clearfix'><div class='floatfix'>".U_CENTER.CONTENT.L_CENTER."</div></div>\n";

            //Bottom
            echo "<div class='bottom floatfix'><hr width='90%'></hr></div>\n";

			//Footer
			echo "<div class='footer floatfix'>\n";
			echo "<div class='copyright'>\n";
//////REMOVAL OF THIS COPYRIGHT HEADER IS STRICTLY PROHIBITED /////////////
if ($license == false) { echo showcopyright()."<br />\n"; }
            echo "".stripslashes($settings['footer'])."\n";
			echo "</div>\n";
			echo "<div class='footer-stats'>\n";
			echo"".showcounter()."<br />".showrendertime();
			echo "</div>\n";
//////REMOVAL OF THIS COPYRIGHT HEADER IS STRICTLY PROHIBITED /////////////
if(function_exists('add_to_head')){ add_to_head("<meta name='copyright' content='Fangree Productions Copyright 2011' />"); add_to_head("<meta name='Author' content='Craig Dewar AKA Fangree_Craig, admin@fangree.co.uk' />");}
//////REMOVAL OF THIS COPYRIGHT HEADER IS STRICTLY PROHIBITED /////////////
			echo"</div>\n";
			echo "</div></div></div>\n";

}

function render_news($subject, $news, $info) {

global $locale;

			opentable($subject);
			echo "<div class='floatfix news-body'>".$info['cat_image'].$news."</div>
			<div class='news-footer'>
			".newsposter($info," &middot;").newsopts($info,"&middot;").itemoptions("N",$info['news_id']).
			"</div>\n";
			closetable();

}

function render_article($subject, $article, $info) {

global $locale;

			opentable($subject);
			echo "<div class='floatfix news-body'>".($info['article_breaks'] == "y" ? nl2br($article) : $article)."</div>
			<div class='news-footer'>
			".articleposter($info," &middot;").articleopts($info,"&middot;").itemoptions("A",$info['article_id']).
			"</div>\n";
			closetable();
}

function render_comments($c_data, $c_info){
global $locale;

			opentable($locale['c100']);
			if (!empty($c_data)){
			echo "<div class='comments floatfix'>\n";
			$c_makepagenav = '';
			if ($c_info['c_makepagenav'] !== false) { 
			echo $c_makepagenav = "<div style='text-align:center;margin-bottom:5px;'>".$c_info['c_makepagenav']."</div>\n"; 
			}
			foreach($c_data as $data) {
			echo "<div class='tbl2'>\n";
			if ($data['edit_dell'] !== false) { 
				echo "<div style='float:right' class='comment_actions'>".$data['edit_dell']."\n</div>\n";
			}
			echo "<a href='".FUSION_REQUEST."#c".$data['comment_id']."' id='c".$data['comment_id']."' name='c".$data['comment_id']."'>#".$data['i']."</a> |\n";
			echo "<span class='comment-name'>".$data['comment_name']."</span>\n";
			echo "<span class='small'>".$data['comment_datestamp']."</span>\n";
			echo "</div>\n<div class='tbl1 comment_message'>".$data['comment_message']."</div>\n";
			}
			echo $c_makepagenav;
			if ($c_info['admin_link'] !== false) {
			echo "<div style='float:right' class='comment_admin'>".$c_info['admin_link']."</div>\n";
			}
			echo "</div>\n";
			} else {
				 echo "<div class='nocomments-message spacer'>".$locale['c101']."</div>\n";
			}
			closetable();   
}

function opentable($title) {

			echo "<div class='capmain'>$title</div>\n";
			echo "<div class='main-body2'>\n";

}

function closetable() {

           echo "</div>\n";

}

function openside($title, $collapse = false, $state = "on") {

global $panel_collapse; $panel_collapse = $collapse;

			echo "<div class='side-body-bg'>";
			echo "<div class='scapmain'>";
			if ($collapse == true) {
			$boxname = str_replace(" ", "", $title);
			echo "<div class='box'>".panelbutton($state,$boxname)."</div>";
			}
			echo $title."</div>\n<div class='side-body floatfix'>\n";
			if ($collapse == true) { echo panelstate($state, $boxname); }

}

function closeside($collapse = false) {

global $panel_collapse;

if ($panel_collapse == true) { echo "</div>\n"; }
           echo "</div></div>\n";

}
?>